Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class ASTMethod

    java.lang.Object
      org.jboss.aop.pointcut.ast.SimpleNode
          org.jboss.aop.pointcut.ast.ASTMethod

All Implemented Interfaces:
  Node

public class ASTMethod
extends SimpleNode

Field Summary

Fields inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTMethod(int id)`
`ASTMethod(PointcutExpressionParser p, int id)`

Method Summary
`ArrayList` | `getAttributes()`
`String` | `getClassExpr()`
`ClassExpression` | `getClazz()`
`ArrayList` | `getExceptions()`
`String` | `getMethodExpr()`
`IdentifierExpression` | `getMethodIdentifier()`
`ArrayList` | `getParameters()`
`ClassExpression` | `getReturnType()`
`String` | `getReturnTypeExpression()`
`boolean` | `hasAnyZeroOrMoreParameters()`
`boolean` | `isAnyParameters()`
`Object` | `jjtAccept(PointcutExpressionParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `jjtAccept(TypeExpressionParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `setClassExpression(String exp)`
`void` | `setMethodExpression(String expression)`
`void` | `setReturnTypeExpression(String exp)`

Methods inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`childrenAccept, childrenAccept, dump, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTMethod

    public ASTMethod(int id)

### ASTMethod

    public ASTMethod(PointcutExpressionParser p,
                     int id)

Method Detail

### jjtAccept

    public Object jjtAccept(PointcutExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAccept

    public Object jjtAccept(TypeExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `Node`
  Overrides:
    `jjtAddChild` in class `SimpleNode`

### setMethodExpression

    public void setMethodExpression(String expression)

### setReturnTypeExpression

    public void setReturnTypeExpression(String exp)

### setClassExpression

    public void setClassExpression(String exp)

### getReturnTypeExpression

    public String getReturnTypeExpression()

### getClassExpr

    public String getClassExpr()

### getMethodExpr

    public String getMethodExpr()

### isAnyParameters

    public boolean isAnyParameters()

### hasAnyZeroOrMoreParameters

    public boolean hasAnyZeroOrMoreParameters()

### getParameters

    public ArrayList getParameters()

### getExceptions

    public ArrayList getExceptions()

### getAttributes

    public ArrayList getAttributes()

### getReturnType

    public ClassExpression getReturnType()

### getClazz

    public ClassExpression getClazz()

### getMethodIdentifier

    public IdentifierExpression getMethodIdentifier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.